### File

`packages/ecl/components/ecl-accordion/ecl-accordion-item.component.ts`

### Description

Represents an individual item within an ECL Accordion. This component allows for expand/collapse behavior and emits toggle events on interaction.

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
HostDirectives | `ECLBaseDirective`
selector | `ecl-accordion-item`
imports | `CommonModule` `EUI_ECL_ICON` `TranslateModule`
styles | `:host { display: block; }`
templateUrl | `./ecl-accordion-item.component.html`

### Index

###### Properties
baseDirective contentId titleId
###### Methods
onItemClick
###### Inputs
isExpanded label
###### Outputs
toggle
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isExpanded
Type : `boolean`
Default value : `false`
Whether the accordion item is expanded by default. Can be controlled externally.

label
Type : `string`
The label for the accordion header. This value is displayed as the clickable title of the item.

### Outputs

toggle
Type : `EventEmitter`
Event emitted when the item is toggled (expanded/collapsed). The emitted value contains the next expanded state.

### HostBindings

class
Type : `string`

### Methods

onItemClick
`onItemClick(evt: MouseEvent)`
Handles click on the accordion item header. Toggles the item and emits a toggle event. If the event is not prevented, the item's state is updated. Parameters :
Name | Type | Optional | Description
evt | `MouseEvent` | No | The mouse click event
Returns : `void`

### Properties

baseDirective
Type : `unknown`
Default value : `inject(ECLBaseDirective)`

contentId
Type : `string`
Default value : `''`

titleId
Type : `string`
Default value : `''`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""